#include <bits/stdc++.h>
#define pb push_back
#define yes cout << "YES\n"
#define no cout << "NO\n"
#define ll long long
using namespace std;
 
 
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    string str,str1,str2="";cin>>str>>str1;
    if(str.size()>str1.size()){
    	ll r=str.size()-str1.size();
    	for(ll i=0;i<r;i++){
    		str2+=str[i];
		}
		for(ll i=0;i<str1.size();i++){
			if(str[i+r]>str1[i])str2+=str[i+r];
			else if(str[i+r]<str1[i])str2+=str1[i];
			else {
				str2+=str[i+r];
				str2+=str1[i];
			}
		}
		cout<<str2;
	}
	else {
		ll r=str1.size()-str.size();
    	for(ll i=0;i<r;i++){
    		str2+=str1[i];
		}
		for(ll i=0;i<str.size();i++){
			if(str[i]>str1[i+r])str2+=str[i];
			else if(str[i]<str1[i+r])str2+=str1[i+r];
			else {
				str2+=str[i];
				str2+=str1[i+r];
			}
		}
		cout<<str2;
	}
	return 0;
}